package core.user;

import java.io.File;
import java.util.Map;

public class Teacher extends User {
    String job_title;
    String education;
    String profession_code;

    @Override
    public String getType() {
        return "teacher";
    }

    @Override
    public void setAttr(Map<String, String> vMap){
        super.setAttr(vMap);
        this.setEducation(vMap.get("education"));
        this.setJob_title(vMap.get("job_title"));
        this.setProfession_code(vMap.get("profession_code"));
    }
    public String getJob_title() {
        return job_title;
    }

    public void setJob_title(String job_title) {
        this.job_title = job_title;
    }

    public String getEducation() {
        return education;
    }

    public void setEducation(String education) {
        this.education = education;
    }

    public String getProfession_code() {
        return profession_code;
    }

    public void setProfession_code(String profession_code) {
        this.profession_code = profession_code;
    }

}
